use ash::vk;

struct Rgba([f32; 4]);

enum LoadOp {
    Clear(Rgba),
    Load,
    DontCare,
}

enum StoreOp {
    DontCare,
    Store,
}

struct AttachmentInfo {
    size: glam::UVec2,
    format: vk::Format,
    load: LoadOp,
    store: StoreOp,
}

struct Texture {
    texture: vk::Image,
}

pub struct RenderGraph {}
